提醒:使用 Nvidia 闭源驱动和风滚草的同学请暂时不要升级 Kernel 5.9

当前 TW 内核版本为 5.8.15,不过 5.9 已经进入了开发通道。
Nvidia 发布公告称目前内核 5.9 版本将不和 Nvidia 驱动兼容:https://forums.developer.nvidia.com/t/nvidia-driver-not-yet-supported-for-linux-kernel-5-9/157263

主要原因是 Nvidia 之前使用的规避访问 GPL 符号的方法已经不再有效。

目前来看也没有比较好的 Patch,我已经锁了内核和 Nvidia 驱动版本,在 Nvidia 驱动问题解决前,请各位小心,谨慎升级。

1赞

我 N 卡在 5.8 上已经跪了,现在老老实实换 Leap 了。反正我只要用 N 卡是不会上 Tw 和闭源驱动这俩坑了

NV,NMSL
说起来还有别的 BUG 值得注意吗?

这次爆炸和 Nvidia 关系倒不大,是内核开发者禁用了之前 Nvidia 使用的 “GPL Condom” 以绕过限制访问 GPL 符号导致的。

本身就 “F,NV”,会变成这样我一点也不奇怪。

我感觉英伟达官方的 cuda 工具,已经可以提供新版的闭源驱动。


前一段时间的时候,这个页面提供的驱动还有提醒到 11 月中旬才能适配最新版的驱动。
按这个时间表,opensuse 官方的驱动也应该快要出现了。